function init(hero) {
    hero.setName("Shocker(PS4)");
    hero.setTier(5);
    
    hero.setHelmet("item.superhero_armor.piece.cowl");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");

    hero.addPowers("sinistersixaddon:shock");
    hero.addAttribute("PUNCH_DAMAGE", 4.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 3.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    
    hero.addKeyBind("SONIC_WAVES", "key.canaryCry", 2);
    hero.addKeyBind("AIM", "key.aim", 1);

    hero.supplyFunction("canAim", canAim);
    hero.setModifierEnabled(isModifierEnabled);
    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}

function canAim(entity) {
    return true;
}

function isModifierEnabled(entity, modifier) {
    if (!entity.getData("fiskheroes:aiming")) {
        return false;
    }
  
    switch (modifier) {
    case "fiskheroes:canary_cry":
        return entity.getData("fiskheroes:aiming");
    default:
        return entity.getData("fiskheroes:aiming");
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "CANARY_CRY":
        return entity.getData("fiskheroes:aiming");
    default:
        return entity.getData("fiskheroes:aiming");
    }
}
